Package com.ibm.bamoe.ilmt.quarkus.pamoe

# Class PAMOESwidTagGen

java.lang.Object
com.ibm.bamoe.ilmt.common.SwidFileGenerator
com.ibm.bamoe.ilmt.quarkus.pamoe.PAMOESwidTagGen

@ApplicationScoped public class PAMOESwidTagGen extends SwidFileGenerator

## Constructor Summary

Constructors
Constructor
Description
`PAMOESwidTagGen()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createSwidFile()`
`String`
`getFileName()`
`String`
`getSwidContent()`

### Methods inherited from class com.ibm.bamoe.ilmt.common.SwidFileGenerator

`getFilePath`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PAMOESwidTagGen

public PAMOESwidTagGen()

## Method Details

### createSwidFile

@PostConstruct public void createSwidFile()

Overrides:
  `createSwidFile` in class `SwidFileGenerator`

### getFileName

public String getFileName()

Specified by:
  `getFileName` in class `SwidFileGenerator`

### getSwidContent

public String getSwidContent()

Specified by:
  `getSwidContent` in class `SwidFileGenerator`